Bug 50925 - [Qt] Tracker bug for the QtWebKit 2.1.x release (critical)
: [Qt] Tracker bug for the QtWebKit 2.1.x release (critical)
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: All All
: P1 Normal
Assigned To: Ademar Reis
http://trac.webkit.org/wiki/QtWebKitR...
: Qt, QtTriaged
Depends on: 55901 56752 56924 56946 57020 57108 57254 57546 57841 58044
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-13 07:37 PST by Ademar Reis
Modified: 2011-06-29 12:54 PDT (History)
10 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ademar Reis 2010-12-13 07:37:17 PST
This master bug tracks all bugs that prevent us from releasing QtWebKit 2.2.

Non critical bugs should be added to the "nice-to-have" tracker bug (see next comment for a reference)
Comment 1 Ademar Reis 2010-12-13 07:37:59 PST
For non critical bugs, use bug 50926
Comment 2 Ademar Reis 2010-12-13 07:39:59 PST
Since QtWebKit-2.2 will be based on QtWebKit-2.1 (which has not been released yet), adding bug 39121 to the "depends on" list.
Comment 3 Ademar Reis 2011-01-26 09:12:49 PST
The version previously known as QtWebKit-2.2 will actually be an update to QtWebKit-2.1 (probably 2.1.1). Changing summaries and references to reflect this.
Comment 4 Joel Parks 2011-03-22 05:36:53 PDT
51208, 45722 needed for BR-7405 (instead of 55380)
Comment 5 Joel Parks 2011-04-08 05:28:52 PDT
Fabrizio Machado commented on BR-7405:
--------------------------------------

After some digging, I can see the fix code is simply not in the latest 2.1.x, although the bug report says it was picked up:
https://bugs.webkit.org/show_bug.cgi?id=51208

We need r74220 from trunk, basically.

To be clear, for 2.1.x, we need to mimic trunk logic and unconditionally set the "Antialiasing" render hint in the GraphicsContextPlatformPrivate constructor:

GraphicsContextPlatformPrivate::GraphicsContextPlatformPrivate(QPainter* p) { ...
painter->setRenderHint(QPainter::Antialiasing, true);
}
Comment 6 Deepa Shah 2011-04-21 11:50:11 PDT
https://bugs.webkit.org/show_bug.cgi?id=57075 is needed for BR-7551.
Comment 7 Joel Parks 2011-04-25 07:51:53 PDT
56752 needed for BR-7461, BR-7445
Comment 8 Ademar Reis 2011-04-25 10:32:58 PDT
Bug 57075 is a refactoring (as the title says), and should not be included in a minor version of QtWebKit... Is there a (very) good reason for this?
Comment 9 Deepa Shah 2011-04-28 07:09:21 PDT
http://trac.webkit.org/changeset/69064 is needed for BR-7275.
Comment 10 Alexis Menard (darktears) 2011-06-13 06:51:08 PDT
I don't see any point to let that bug open no? It's released now and all the bugs are closed. Ademar?
Comment 11 Ademar Reis 2011-06-13 07:19:34 PDT
(In reply to comment #10)
> I don't see any point to let that bug open no? It's released now and all the bugs are closed. Ademar?

This is being used to track a potential 2.1.2 release. Let's keep it that way until we're done with these 2.1.x releases for specific devices.
Comment 12 Ademar Reis 2011-06-29 12:36:30 PDT
There are no plans for 2.1.2 anymore, so closing this bug. Critical issues for the 2.1 branch should be added to the maintenance bug: Bug 63647

Also note that the 2.1.x branch is no more. It has been merged into 2.1, which is the consolidated branch for any potential future 2.1 release (tags and SHA1's have been preserved). The only reason for the 2.1.x branch was that work started in 2.1.1 before the release of 2.1.0 -- why? that's a long story :-)